/* src/app2/shared/components/editor/plugins/dv-fullscreen/theme/fullscreen.css */
.ck.ck-balloon-panel,
.ck.ck-tooltip,
.ck.ck-dropdown__panel {
  z-index: 10100 !important;
}
.ck.ck-balloon-panel.ck-balloon-panel_visible {
  z-index: 10100 !important;
}
.ck-editor {
  transition: opacity 0.5s !important;
}
.ck-editor.ck-plugin-full-screen {
  position: fixed !important;
  top: 0 !important;
  left: 0 !important;
  z-index: 9999 !important;
  width: 100% !important;
  height: 100vh !important;
  display: flex !important;
  flex-direction: column !important;
  align-items: center !important;
  background-color: #fff !important;
  transition: none !important;
}
body.ck-body-full-screen {
  overflow: hidden !important;
}
.ck-editor.ck-plugin-full-screen ~ div[role=dialog],
.ck-editor.ck-plugin-full-screen ~ * div[role=dialog] {
  z-index: 10050 !important;
}
.ck-editor.ck-plugin-full-screen ~ .modal-backdrop,
.ck-editor.ck-plugin-full-screen ~ * .modal-backdrop,
.ck-editor.ck-plugin-full-screen ~ div[class*=bg-black] {
  z-index: 10040 !important;
}
.ck-editor.ck-plugin-full-screen .ck-editor__top,
.ck-editor.ck-plugin-full-screen .ck-editor__main {
  width: 100%;
  max-width: calc(100% - 60px);
  margin-inline: auto;
}
.ck-editor.ck-plugin-full-screen .ck-editor__top {
  margin-top: 5em;
}
.ck-editor.ck-plugin-full-screen .ck-editor__main {
  flex-grow: 1 !important;
  flex: 1 !important;
  display: flex !important;
  flex-direction: column !important;
  overflow-y: hidden !important;
  margin-bottom: 2em !important;
  min-height: 0 !important;
}
.ck-editor.ck-plugin-full-screen .ck-editor__main .ck-editor__editable {
  flex: 1 !important;
  height: 100% !important;
  max-height: none !important;
  min-height: 0 !important;
  overflow-y: auto !important;
}
.ck-editor.ck-plugin-full-screen .ck-source-editing-area {
  height: 100% !important;
  flex: 1 !important;
}
.ck-editor.ck-plugin-full-screen .ck-source-editing-area textarea {
  overflow-y: scroll;
}

/* angular:styles/global:ckeditor-fullscreen-styles */
